import { SvgIconProps } from "../../app/types/types";


export function DocumentsIcon(props: SvgIconProps) {
  return (
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M4.25 2.5C3.0095 2.5 2 3.5095 2 4.75V19.25C2 20.4905 3.0095 21.5 4.25 21.5H6.41016C6.01416 21.0885 5.72682 20.5735 5.59082 20H4.25C3.8365 20 3.5 19.6635 3.5 19.25V4.75C3.5 4.3365 3.8365 4 4.25 4H5.59082C5.72732 3.4265 6.01416 2.9115 6.41016 2.5H4.25ZM8.75 2.5C7.51625 2.5 6.5 3.51625 6.5 4.75V19.25C6.5 20.4838 7.51625 21.5 8.75 21.5H19.75C20.9838 21.5 22 20.4838 22 19.25V9.25C22 9.0511 21.9209 8.86036 21.7803 8.71973L15.7803 2.71973C15.6396 2.57907 15.4489 2.50004 15.25 2.5H8.75ZM8.75 4H14.5V7.75C14.5 8.98375 15.5162 10 16.75 10H20.5V19.25C20.5 19.6733 20.1733 20 19.75 20H8.75C8.32675 20 8 19.6733 8 19.25V4.75C8 4.32675 8.32675 4 8.75 4ZM16 5.06055L19.4395 8.5H16.75C16.3268 8.5 16 8.17325 16 7.75V5.06055ZM11.25 12.5C11.1506 12.4986 11.0519 12.517 10.9597 12.554C10.8675 12.5911 10.7836 12.6461 10.7128 12.7159C10.642 12.7857 10.5858 12.8688 10.5474 12.9605C10.5091 13.0522 10.4893 13.1506 10.4893 13.25C10.4893 13.3494 10.5091 13.4478 10.5474 13.5395C10.5858 13.6312 10.642 13.7143 10.7128 13.7841C10.7836 13.8539 10.8675 13.9089 10.9597 13.946C11.0519 13.983 11.1506 14.0014 11.25 14H17.25C17.3494 14.0014 17.4481 13.983 17.5403 13.946C17.6325 13.9089 17.7164 13.8539 17.7872 13.7841C17.858 13.7143 17.9142 13.6312 17.9526 13.5395C17.9909 13.4478 18.0107 13.3494 18.0107 13.25C18.0107 13.1506 17.9909 13.0522 17.9526 12.9605C17.9142 12.8688 17.858 12.7857 17.7872 12.7159C17.7164 12.6461 17.6325 12.5911 17.5403 12.554C17.4481 12.517 17.3494 12.4986 17.25 12.5H11.25ZM11.25 16C11.1506 15.9986 11.0519 16.017 10.9597 16.054C10.8675 16.0911 10.7836 16.1461 10.7128 16.2159C10.642 16.2857 10.5858 16.3688 10.5474 16.4605C10.5091 16.5522 10.4893 16.6506 10.4893 16.75C10.4893 16.8494 10.5091 16.9478 10.5474 17.0395C10.5858 17.1312 10.642 17.2143 10.7128 17.2841C10.7836 17.3539 10.8675 17.4089 10.9597 17.446C11.0519 17.483 11.1506 17.5014 11.25 17.5H15.75C15.8494 17.5014 15.9481 17.483 16.0403 17.446C16.1325 17.4089 16.2164 17.3539 16.2872 17.2841C16.358 17.2143 16.4142 17.1312 16.4526 17.0395C16.4909 16.9478 16.5107 16.8494 16.5107 16.75C16.5107 16.6506 16.4909 16.5522 16.4526 16.4605C16.4142 16.3688 16.358 16.2857 16.2872 16.2159C16.2164 16.1461 16.1325 16.0911 16.0403 16.054C15.9481 16.017 15.8494 15.9986 15.75 16H11.25Z"
        fill="#AD2184"
      />
    </svg>
  )
}
